using Awperative;
using AwperativeTest2;


Awperative.Awperative.Start();

Debug.LogState("Successfully Opened Awperative!!");
Console.WriteLine("HELLO WORLD!");

Scene TestScene = Awperative.Awperative.CreateScene("Test");
ConsoleRegistry aa = TestScene.Add<ConsoleRegistry>();

for(int i = 0; i < 2; i++)
    aa.Add<TestComponent>();

TestScene.Add<TestComponent>();
TestComponent TestComponent = TestScene.Add<TestComponent>();
Debug.LogState("Successfully Opened TestComponent!! " + TestComponent.GetHashCode());
TestComponent.Add<TestComponent>();

TestComponent bb = aa.Add<TestComponent>();
bb.Add<TestComponent>();
bb.Add<TestComponent>();

TestComponent cc = bb.Add<TestComponent>();

cc.Add<TestComponent>();


Console.WriteLine("Hello World!");





Awperative.Awperative.Run();